aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/disk-image-builder/ubuntu/run-listmaker.sh
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2016-10-07 13:00:53 +0100
committerDave Wallace <dwallacelf@gmail.com>2016-10-13 16:31:44 +0000
commit909f20348b5aac1207678d1c0af8bbfa50f716c6 (patch)
tree86e9661646eccd9a756b9af905d541f097512f56 /resources/tools/disk-image-builder/ubuntu/run-listmaker.sh
parent6b97e58d8c32773c6be8eabc770c67b4e8154451 (diff)
Update VIRL images to 16.04.1
Change-Id: I93e8b5e977e974cda9ea4ebab327b59f9afd2fd0 Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'resources/tools/disk-image-builder/ubuntu/run-listmaker.sh')
-rwxr-xr-xresources/tools/disk-image-builder/ubuntu/run-listmaker.sh82
1 files changed, 68 insertions, 14 deletions
diff --git a/resources/tools/disk-image-builder/ubuntu/run-listmaker.sh b/resources/tools/disk-image-builder/ubuntu/run-listmaker.sh
index 5af8f08f99..129e2d49fc 100755
--- a/resources/tools/disk-image-builder/ubuntu/run-listmaker.sh
+++ b/resources/tools/disk-image-builder/ubuntu/run-listmaker.sh
@@ -37,23 +37,38 @@ then
exit 1
fi
DATE=$(date +%Y-%m-%d)
-OS="ubuntu-14.04.4"
+
+if [ "$1" == "ubuntu-14.04.4" ]
+then
+ OS="ubuntu-14.04.4"
+ VIRL_TOPOLOGY_FILE="listmaker/virl-listmaker-ubuntu-14.04.4.yaml"
+elif [ "$1" == "ubuntu-16.04.1" ]
+then
+ OS="ubuntu-16.04.1"
+ VIRL_TOPOLOGY_FILE="listmaker/virl-listmaker-ubuntu-16.04.1.yaml"
+else
+ echo "Please provide OS as parameter:"
+ echo "Options: ${0} [ubuntu-14.04.4|ubuntu-16.04.1]"
+ exit 1
+fi
+
RELEASE="${OS}_${DATE}_${VERSION}"
OUTPUT_DIR="lists/${RELEASE}"
echo "Building release ${RELEASE}."
-echo "Storinging data in ${OUTPUT_DIR}/."
+echo "Storing data in ${OUTPUT_DIR}/."
# APT packages wanted
APT_WANTLIST_INFRA="nfs-common cloud-init"
-APT_WANTLIST_CSIT="python-dev python-virtualenv git strongswan"
+APT_WANTLIST_CSIT="python-dev python-pip python-virtualenv git strongswan"
APT_WANTLIST_VPP="dkms bridge-utils"
APT_WANTLIST_TREX="zlib1g-dev unzip"
APT_WANTLIST_NESTED="qemu-system-x86"
APT_WANTLIST_JAVA="openjdk-8-jdk-headless"
-APT_WANTLIST_DOCKER="docker-engine"
+#Docker is currently disabled due to issues with apt repositories retrieval
+#APT_WANTLIST_DOCKER="docker-engine"
# For now, let us NOT incude WANTLIST_NESTED in the below. We're installing qemu
# separately from a separate source.
@@ -78,8 +93,6 @@ PIP_OUTPUTFILE="${OUTPUT_DIR}/pip-requirements.txt"
SSH_USER="root"
SSH_PASS="csit"
-VIRL_TOPOLOGY_FILE="listmaker/virl-listmaker.yaml"
-
###
### Spin up simulation
###
@@ -145,6 +158,8 @@ function do_ssh {
-o LogLevel=error ${SSH_USER}@${ip} "$@"
}
+if [ "$OS" = "ubuntu-14.04.4" ]
+then
do_ssh "cat - > /etc/apt/sources.list" <<_EOF
deb http://us.archive.ubuntu.com/ubuntu/ trusty main restricted
deb-src http://us.archive.ubuntu.com/ubuntu/ trusty main restricted
@@ -167,7 +182,31 @@ deb-src http://security.ubuntu.com/ubuntu trusty-security universe
deb http://security.ubuntu.com/ubuntu trusty-security multiverse
deb-src http://security.ubuntu.com/ubuntu trusty-security multiverse
_EOF
-
+elif [ "$OS" = "ubuntu-16.04.1" ]
+then
+do_ssh "cat - > /etc/apt/sources.list" <<_EOF
+deb http://us.archive.ubuntu.com/ubuntu/ xenial main restricted
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial main restricted
+deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates main restricted
+deb http://us.archive.ubuntu.com/ubuntu/ xenial universe
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial universe
+deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates universe
+deb http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial multiverse
+deb http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
+deb http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
+deb-src http://us.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
+deb http://security.ubuntu.com/ubuntu xenial-security main restricted
+deb-src http://security.ubuntu.com/ubuntu xenial-security main restricted
+deb http://security.ubuntu.com/ubuntu xenial-security universe
+deb-src http://security.ubuntu.com/ubuntu xenial-security universe
+deb http://security.ubuntu.com/ubuntu xenial-security multiverse
+deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse
+_EOF
+fi
### FIXME: Need error handling around all this
do_ssh apt-get update
@@ -179,32 +218,47 @@ do_ssh apt-get --print-uris -y install $APT_WANTLIST >> $APT_TEMPFILE
do_ssh DEBIAN_FRONTEND=noninteractive apt-get -y install $APT_WANTLIST
### Install qemu ($APT_WANTLIST_NESTED) separately from PPA
+if [ "$OS" = "ubuntu-14.04.4" ]
+then
do_ssh "cat - >> /etc/apt/sources.list" <<_EOF
# For a custom qemu build
deb http://ppa.launchpad.net/syseleven-platform/virtualization/ubuntu trusty main
deb-src http://ppa.launchpad.net/syseleven-platform/virtualization/ubuntu trusty main
_EOF
+fi
do_ssh apt-get --allow-unauthenticated update
do_ssh apt-get --print-uris --allow-unauthenticated -y install $APT_WANTLIST_NESTED >> $APT_TEMPFILE
do_ssh DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated -y install $APT_WANTLIST_NESTED
### Install Java ($APT_WANTLIST_JAVA) separately from PPA
+if [ "$OS" = "ubuntu-14.04.4" ]
+then
do_ssh "cat - >> /etc/apt/sources.list" <<_EOF
# For java
deb http://ppa.launchpad.net/openjdk-r/ppa/ubuntu trusty main
_EOF
+fi
do_ssh apt-get --allow-unauthenticated update
do_ssh apt-get --print-uris --allow-unauthenticated -y install $APT_WANTLIST_JAVA >> $APT_TEMPFILE
do_ssh DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated -y install $APT_WANTLIST_JAVA
### Install Docker ($APT_WANTLIST_DOCKER) separately from PPA
-do_ssh "cat - >> /etc/apt/sources.list" <<_EOF
-# For Docker
-deb https://apt.dockerproject.org/repo ubuntu-trusty main
-_EOF
-do_ssh apt-get --allow-unauthenticated update
-do_ssh apt-get --print-uris --allow-unauthenticated -y install $APT_WANTLIST_DOCKER >> $APT_TEMPFILE
-do_ssh DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated -y install $APT_WANTLIST_DOCKER
+#if [ "$OS" = "ubuntu-14.04.4" ]
+#then
+#do_ssh "cat - >> /etc/apt/sources.list" <<_EOF
+## For Docker
+#deb https://apt.dockerproject.org/repo ubuntu-trusty main
+#_EOF
+#elif [ "$OS" = "ubuntu-16.04.1" ]
+#then
+#do_ssh "cat - >> /etc/apt/sources.list" <<_EOF
+## For Docker
+#deb https://apt.dockerproject.org/repo ubuntu-xenial main
+#_EOF
+#fi
+#do_ssh apt-get --allow-unauthenticated update
+#do_ssh apt-get --print-uris --allow-unauthenticated -y install $APT_WANTLIST_DOCKER >> $APT_TEMPFILE
+#do_ssh DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated -y install $APT_WANTLIST_DOCKER
cat $APT_TEMPFILE | grep MD5Sum | sort > $APT_OUTPUTFILE
rm -f $APT_TEMPFILE